<?php 
/**
* Plugin Tags_editor - Administration
*
* @package	PLX
* @version	1.0
* @date	22/04/17
* @author Bronco
**/
if(!defined('PLX_ROOT')) exit; 
if (!empty($_POST)){
	$xml=file_get_contents(PLX_ROOT.PLX_CONFIG_PATH.'tags.xml');
	foreach($_POST['oldtag'] as $key=>$tag){
		$_POST['newtag'][$key]=trim($_POST['newtag'][$key]);
		if (trim($tag)!=$_POST['newtag'][$key]){
			$old=trim(plxUtils::strCheck($tag));
			$new=trim(plxUtils::strCheck($_POST['newtag'][$key]));
			$xml=preg_replace('#<!\[CDATA\[(.*?)?'.$old.'(.*?)?\]\]>#','<![CDATA[$1'.$new.'$2]]>',$xml);
		}
	}
	file_put_contents(PLX_ROOT.PLX_CONFIG_PATH.'tags.xml',$xml);
	echo '<script>location.reload();</script>';
	header('Location: '.PLX_ROOT.'core/admin/plugin.php?p=Tags_editor#');
	exit;
}
?>
<h1>Editeur de Tags</h1>
<?php 
	$articlesTags=$plxAdmin->aTags;
	$tags_array=array();
	if($articlesTags) {
	# On liste les tags sans créer de doublon
	foreach($articlesTags as $idart => $tag) {
		if(isset($plxAdmin->activeArts[$idart]) AND $tag['active']) {
			if($tags = array_map('trim', explode(',', $tag['tags']))) {
				foreach($tags as $tag) {
					if(!empty($tag)) {
						if(!isset($tags_array[$tag])) {
							$tags_array[$tag]=$tag;
						}
					}
				}
			}
		}
	}
	
	# tri des tags
	natcasesort($tags_array);

	echo '<form method="post" action="#"><table>';

	# Affichage des tags
	foreach($tags_array as $tag){
		echo '
		<tr class="tag_edit">
		<td><input type="hidden" name="oldtag[]" value="'.$tag.'"><strong>'.$tag.'</strong></td><td> <em>devient</em> </td><td><input type="text" name="newtag[]" value="'.$tag.'"></td>
		</tr>
		';
	}

	echo '<tr><td></td><td></td><td><input type="submit" value="Sauver"/></td></tr></table></form>';
}